Page MenuHomePhabricator

Session (new) Developers and MediaWiki: How to become BFFs?
Closed, ResolvedPublic

Description

11 - 12 Sunday in Room Powidl

This is a session for newcomers and veterans - what kind of support would help you to stay interested or get your projects done.
We will start by talking about good and bad expiernces that we have had while being involved in Wikimedia technical projects.
We will also collect and discuss ideas to make technical collaboration fun for everyone.

Run by: Birgit, Lea & Rachel

Goat image: https://commons.wikimedia.org/wiki/File:Goat_face.jpg

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2017, 10:14 PM
Rfarrand triaged this task as Normal priority.Mar 16 2017, 10:15 PM
Qgil added subscribers: Elitre, Qgil.Mar 17 2017, 4:56 PM

Is this a task for March (this quarter) or April (next quarter)?

This is probably going to happen in Vienna - so next quarter

Retaining would require tracking activities (calls for some application like the Wiki Education progarm dash?) or how exactly is that going to happen ?

I always had this idea, but not sure if this is the right place to tell it - but if we are thinking of engaging in new developers and making them stick - we need/have attractive programs - and we have IEG. I was thinking if the community can put a banner around say - community wishlist projects - telling that:

NOTE: Hey, you are welcome to produce a proposal for this wishlist project and receive for a grant of upto X USD on completion.

My point here is that - how easy is IEG for any volunteer to arrive, submit and work upon on ? How easy does it get if someone from the Foundation/community can already fix a grant amount on these potential projects making application and mostly (attraction) easy ?

Qgil added a comment.Apr 20 2017, 11:39 AM

Retaining would require tracking activities (calls for some application like the Wiki Education progarm dash?) or how exactly is that going to happen ?

We already have Gerrit / MediaWiki / Phabricator to track the activities of technical contributors.

I always had this idea, but not sure if this is the right place to tell it - but if we are thinking of engaging in new developers and making them stick - we need/have attractive programs - and we have IEG. I was thinking if the community can put a banner around say - community wishlist projects - telling that:

NOTE: Hey, you are welcome to produce a proposal for this wishlist project and receive for a grant of upto X USD on completion. My point here is that - how easy is IEG for any volunteer to arrive, submit and work upon on ? How easy does it get if someone from the Foundation/community can already fix a grant amount on these potential projects making application and mostly (attraction) easy ?

Individual Engagement Grants were deprecated in favor of Rapid Grants. There was a discussion related to bounties at T88265: Investigate sources to fund third party MediaWiki features.

bd808 added a subscriber: bd808.May 9 2017, 6:05 AM

@Rfarrand are you still looking for people to think about and run the session together? If yes, @Bmueller and me would be interested :)

@Lea_WMDE oh excellent. Thanks! Lets talk about this on Friday and maybe we can schedule it for Sunday if we come up with a good plan? :)

@Rfarrand, sounds good! Let's do this :)

Rfarrand renamed this task from Session: Onboarding and retaining newcomers to Session (new) Developers and MediaWiki: How to become BFFs?.May 18 2017, 8:58 PM
Rfarrand updated the task description. (Show Details)
Rfarrand updated the task description. (Show Details)May 20 2017, 11:56 AM

This session starts in 10 min!

Rfarrand added a comment.EditedMay 21 2017, 9:10 AM

20 people at this session including the three of us

Session Notes

  • Problems / challenges
  • navigating the code itself - complex code base
  • documentation
  • documentation partial and outdated
  • so complex, difficult finding something for everyone to work on - getting an overview
  • systems around tracking improvements to the software - e.g. scrutinizer is a great external tool, but we don't have anything similiar
  • we use a unique and complex system, that is harder to get into than github
  • all the new things and places to learn - javascript, feedback locations
  • code review - volunteers have a hard time finding the appropriate person(s) to work with
  • navigating code, and [?]
  • overwhelming options, hard to get an understanding of all the options
  • feels like we need to be an expert in many areas before
  • scattered and outdated documentation
  • finding people to help with code review, design review
  • documentation - difficulty in finding documentation, some areas are better than others
  • meeting new people at events, it's hard to talk to everyone with hundreds of attendees, and hard to stay in touch afterwards
  • keeping up with changes
  • reinvented wheels getting in the way of what I want to do
  • lack of colleagues in certain areas, e.g. skins
  • hard to get newcomers connected to the right places/people
  • understanding urgency and complexity of tasks in phabricator
  • communication and processes, rely too much on knowing each other and friends, but it should work for everyone
  • freedom to work on anything we want
  • Favourite aspect
  • working on an important and prominent site
  • too many things!
  • tpt: [?]
  • that it's so diverse, so many backgrounds coming together, so many motivations
  • rewarding to work on
  • having the opportunity to make it easier to contribute to the projects - it was hard when I arrived
  • feeling a huge impact, on the wikimedia communities, and even 3rd parties
  • brilliant people, and contributing to the mission
  • visual editor
  • quick setup for different groups/orgs to start working
  • encouragement and experience from existing developers
  • getting positive feedback from users - spontaneous and random
  • getting positive feedback from community
  • the world is large, with many opportunities/areas to contribute - design/qa/backend/etc/etc/etc
  • endless opportunities
  • sometimes easy to jump in
  • diversity
  • things that are suddenly fixed
  • working together with multinational people who share a mission
  • high barriers to entry

digging deeper

Question: Socially and technically, what were the easiest and hardest parts when you first joined?

Social

  • people want to help
  • very close mentoring helped entering the community
  • Lot of varieties, different needs
  • you need to ask
  • Meeting people is very valuable
  • Not as easy to join now (need access for things) as it was in the past
  • Confusing number of IRC channels -

Technical

  • hackathons help for learning
  • Documentation - keeps changing, and always behind
  • you don't know what you don't know

Ideas

  • Infographics and visualizations- Maps to locate keywords
  • introductory guides - walkthroughs, how tos, 1-on-1 guidance, workshops, tutorials, different levels of documentation
  • 500 good extensions, and 4000 of varying quality
  • code documentation is terrible, wiki documentation can be better
  • task lists are helpful
  • the unknown unknowns, so many aspects to discover - learning via mistakes is frustrating, if the mistakes were due to not knowing about something
  • huge variety of people and perspectives.
  • hard to get a complete overview
  • onboarding improvements needed. Something that can give immediate success
  • overcomplexity when getting started
  • helpful when there are people who can/do help - but having to ask for help (Who? Where?) is a barrier
  • barriers to entry have increased a lot over time
  • face-time is so valuable - forging connections to new people. established relationships deepen beyond business-only
  • too many IRC channels - nobody officially tasked with answering anything anywhere

wrapup

  • FAQ / Q&A database? - like a mediawiki stackoverflow?
  • better landing page - perhaps re-evaluate and implement https://www.mediawiki.org/wiki/MediaWiki/Homepage_redesign/Preview/4 - Srishti is also working on this area
    • declutter, with minimal pathways, e.g. 3 links only
  • IRC frustrates some people who expect Slack-level dunctionality (bouncer, etc)
    • IRC has easier web-entry though, with direct links to freenode webchat
    • perhaps 1 intro channel with official schedule for moderators to triage questions?
  • docs for browsertests are a good example
  • clearer identification for mentors/helpers at events (tshirts/sashes/etc)

Plan: start a once/week hour-long open officehour for answering dev questions. Not requesting help, but requesting pointers to docs or appropriate people.

P.S. to Rachels write_up: WMDE Tech plans to start with the open office hour for answering dev questions beginning of June - more infos to come, will be announced in various places :-)

Seb35 awarded a token.Jun 3 2017, 2:59 PM

It is missing the 'Thanks' extension on Phabricator :) but thanks for the session and for the outcomes (notes and photos).

@Bmueller & @Lea_WMDE :
Two questions:

  1. I am just getting to this now, Yikes! What kind of write up do you think would be most helpful for this?
  2. Any ideas or interest in doing a "part 2" in Montreal? If yes, lets talk!
Bmueller added a comment.EditedJul 31 2017, 9:46 AM

Part II will take place at the Wikimania Hackathon: See T171900 - would be great to meet some of the part I attendees at part II, too :-).

Rfarrand closed this task as Resolved.Aug 7 2017, 10:27 PM
Qgil awarded a token.Aug 8 2017, 11:00 AM
Tobi_WMDE_SW moved this task from Incoming to Other on the TCB-Team board.Oct 17 2017, 8:46 AM